{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block title %}{{ announcement.title }}{% endblock %}

{% block extra_head %}
<style>
    .news {
        display: none;
    }
</style>
{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header">
                    <h1 class="h4 text-center">{{ announcement.title }}</h1>
                </div>
                <div class="card-body ck-content">
                    <div class="card-text">
                        {{ announcement.content|safe }}
                        <p>
                            <strong>Author:</strong> {{ announcement.author.full_name }}
                            <br>
                            <strong>Published on:</strong> {{ announcement.created_on }}
                            <br>
                            <strong>Updated on:</strong> {{ announcement.updated_on }}
                        </p>
                        {% if perms.announcements.manage_announcements %}
                        <a class="btn btn-sm btn-warning"
                            href="{% url 'news:announcements_edit' slug=announcement.slug %}?{{ request.get_full_path }}"
                            data-toggle="tooltip" title="{% trans 'Edit Announcement' %}">
                            <i class="fas fa-pen fa-fw"></i>
                        </a>
                        <a class="btn btn-sm btn-danger"
                            href="{% url 'news:announcements_delete' slug=announcement.slug %}?next={{ request.get_full_path }}"
                            data-toggle="tooltip" title="{% trans 'Delete Announcement' %}">
                            <i class="fas fa-trash fa-fw"></i>
                        </a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}